package com.community.huiju.service;

import com.community.commom.mode.ResponseBean;

/**
 * 富士 业务接口
 */
public interface IFuShiService {

    /**
     * 获取停车信息（通过车牌号）
     *
     * @param carNo
     * @return
     */
    ResponseBean getParkInfoByCarNo(String carNo);

    /**
     * 第三方月卡上发续费
     * @param renewDayType 续费日期类型: 3:年; 2:月; 1:日;
     * @param renewDay 续费日期数目
     * @param payStyle 交易方式，例如：1 微信、 2 支付宝、 3 银联
     * @param carNo 车牌号
     * @param cardNo 停车卡号
     * @param rechargeAmt 充值续费金额
     * @return
     */
    ResponseBean apiThirdPartyMonthCardPay(String renewDayType, String renewDay, String payStyle, String carNo, String cardNo,String rechargeAmt);

}
